[PATCH] Plug two leaks in python-ldap

Michael Ströder michael at stroeder.com
Tue Apr 4 12:16:29 CEST 2006

Xin LI wrote:
> Here is a patch that corrects two memory leaks in python-ldap.  Tracker
> #1464085.

Thanks for submitting the patch.
Do you have Python code demonstrating the leak?

Do you add the ldap_msgfree(msg) because LDAPmessage_to_python() is not
called in these error cases?

> BTW.  Is there any plan to release a new version soon?

I could release a new version very soon. (Despite that SF sucks and
again I can't contact the CVS repository via SSH at the moment.)

Note that as already stated in CVS version of CHANGES upcoming
python-ldap 2.2.0 will require OpenLDAP libs 2.2.x or later for the build.

Ciao, Michael.

More information about the python-ldap mailing list